# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "databend-driver-core"
version = "0.24.6"
authors = ["Databend Authors <opensource@databend.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core components for Databend Driver"
readme = false
keywords = [
    "databend",
    "database",
    "sdk",
]
categories = ["database"]
license = "Apache-2.0"
repository = "https://github.com/databendlabs/bendsql"

[lib]
name = "databend_driver_core"
path = "src/lib.rs"

[dependencies.arrow]
version = "53.0"

[dependencies.arrow-array]
version = "53.0"
optional = true

[dependencies.arrow-schema]
version = "53.0"
optional = true

[dependencies.chrono]
version = "0.4.35"
default-features = false

[dependencies.databend-client]
version = "0.24.6"

[dependencies.geozero]
version = "0.14.0"
features = ["with-wkb"]

[dependencies.glob]
version = "0.3"

[dependencies.hex]
version = "0.4.3"

[dependencies.itertools]
version = "0.12"

[dependencies.jsonb]
version = "0.4.1"

[dependencies.lexical-core]
version = "1.0.1"

[dependencies.memchr]
version = "2.7"

[dependencies.roaring]
version = "0.10"
features = ["serde"]

[dependencies.serde]
version = "1.0"
features = ["derive"]
default-features = false

[dependencies.serde_json]
version = "1.0"
features = ["std"]
default-features = false

[dependencies.tokio-stream]
version = "0.1"

[dependencies.tonic]
version = "0.12"
features = [
    "transport",
    "codegen",
    "tls",
    "tls-webpki-roots",
    "prost",
]
optional = true
default-features = false

[dependencies.url]
version = "2.5"
default-features = false

[features]
flight-sql = [
    "dep:arrow-array",
    "dep:arrow-schema",
    "dep:tonic",
]
